Skip to main content

private/bot/update-trading-bot (FUNDING_ARBITRAGE)

POST 

/private/bot/update-trading-bot

Updates a Funding Arbitrage Trading Bot.

Note: Funding Arbitrage bots do not support updating settings. Only display_name and notify_on_bot_change can be changed.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/bot/update-trading-bot"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1610905028000".

    params objectrequired
    bot_id int64required

    Trading Bot ID

    bot_type BotType (string)required

    Possible values: [DCA, TWAP, GRID, FUNDING_ARBITRAGE]

    Trading bot type:

    • DCA: Dollar Cost Averaging
    • TWAP: Time-Weighted Average Price
    • GRID: Grid trading
    • FUNDING_ARBITRAGE: Funding arbitrage
    notify_on_bot_change booleanrequired

    Whether to receive push notifications on bot state changes

    display_name string

    Updated display name for the bot. 4-15 characters; letters, numbers,

Success.
Schema
    id int64

    Original request identifier

    method string

    Method name

    code int32

    0 for success; error code otherwise

    message string

    Error message for non-zero codes